AbleCommerce 7 System Requirements

AbleCommerce shopping cart is a commercial ecommerce application designed for easy installation to your website.  A full 30 day evaluation with free software and installation support is included. To obtain support, login to your customer account and click on the Support tab.

AbleCommerce simply requires that your website be capable of running Asp.Net applications, and that you have a Microsoft SQL database.  AbleCommerce can be securely installed to shared hosting facilities that require medium trust applications.

 

 

Software Requirements

The AbleCommerce application totals around 60mb in size with over 8500 files.  Using FTP or similar, the software is uploaded to the website and installation requires a connection to a new empty database.  The computer's hardware and software must meet the same minimum requirements given for the Microsoft .NET Framework.

The list below indicates each component required for the installation, and additional supported options for each.

 

  1. Microsoft Windows 2003 or 2008 Server

  1. A website using Microsoft's Asp.Net Application Framework
    The following versions are supported:

  1. A new (empty) Microsoft SQL database for data storage.
    The following versions are supported:

* Microsoft's SQL Express is a free, easy-to-use, lightweight version of SQL Server.  Download
 

AbleCommerce can also be run from local systems in order to work with a development tool like Visual Studio. AbleCommerce is compatible with Visual Studio 2005 through 2010, but since it uses a web site project model, it cannot use the deployment as a precompiled site feature without customization.
  
 

 

Need more than 30 days to evaluate?
Get a full developer's license with coupon

 

 

 

Optional Software Requirements

If you plan to use PayPal or Cybersource payment gateways, you must additionally install WSE 3.0.  

You should install WSE 3.0 before installing AbleCommerce. However, if you need to install WSE 3.0 after AbleCommerce is installed, then you will need to backup the web.config file and replace it when finished.

 

If you would like to install AbleCommerce to the .NET Framework version 2.0, you must install the AJAX Extensions separately. Download  

Again, this additional software is only necessary if you are using the .NET framework version 2.0.

 

Hosting Requirements

 

AbleCommerce offers professional hosting services and support.  
Ecommerce hosting plans starting at $99 per month.

 

 

Browser Requirements

AbleCommerce is installed and fully administered with a web browser.

 

Special Installation Notes

For 7.0.0 installations only:  How to Implement Compatibility with IIS7.0 Integrated Pipeline Mode

 

For more information, see Configuring SQL Server Express 2005 for Remote Access

 

AbleCommerce Compatibility Guide

The latest version of AbleCommerce will install to .NET 4.0 by default.  See the Installation Guide for 7.x Asp.Net for more information.

 

AbleCommerce Version

Release Date

Microsoft .NET Version ( * denotes the default install)

Microsoft Database Version

7.0.0

06/24/2008

.NET 2.0

SQL 2000 or 2005

7.0.1

11/14/2008

.NET 2.0

SQL 2000 or 2005

7.0.2

02/10/2009

.NET 2.0

SQL 2000 or 2005

7.0.3

06/01/2009

.NET 2.0 or .NET 3.5*

SQL 2000 or 2005

7.0.4

12/12/2009

.NET 2.0 or .NET 3.5*

SQL 2000 or 2005

7.0.5

06/01/2010

.NET 2.0 or .NET 3.5*

SQL 2000 or 2005

7.0.6

11/10/2010

.NET 2.0 or .NET 3.5*

SQL 2000 or 2005 or 2008

7.0.7

04/01/2011

.NET 2.0 or .NET 3.5* or .NET 4.0

SQL 2005 or 2008

7.0.7 SR1a

07/07/2011

.NET 2.0 or .NET 3.5 or .NET 4.0*

SQL 2005 or 2008

 

 

Copyright © 1994 - 2017 AbleCommerce.com, All rights Reserved | Privacy Policy

A division of Able Solutions Corporation - Vancouver, WA